{% extends "homepage/base.html" %}

{% block title %}Log-in{% endblock %}

{% block content %}
<div class="container">
    <h1>Log-in</h1>
    {% if form.errors %}
    <p>
        Your username and password didn't match.
        Please try again.
    </p>
    {% else %}
    <p>Please, use the following form to log-in:</p>
    {% endif %}
    <div class="login-form">
        <form action="." method="post">
            {% include 'homepage/form-template.html' %}
            {% csrf_token %}
            <input type="hidden" name="next" value="{% url 'homepage:homepage' %}"/>
            <p><input type="submit" value="Log-in"></p>
        </form>
    </div>
</div>
{% endblock %}
